// Scelta ditta per ricezione

#include <mask.h>
#include <applicat.h>
#include <relation.h>
#include <tabutil.h>
#include <utility.h>
#include <config.h>
#include <urldefid.h> 
#include <execp.h>                       
#include <prefix.h>
#include <lffiles.h>  
#include <nditte.h>  

#include "cg2800.h"           
//#include "cglib04.h"

class TDitta_ric : public TApplication
{
  TLocalisamfile*  _nditte;
  TTransfer_file   _tras_file;
  
  TString _trasf,_std,_uselab,_record,_nrec_file,_sigle_file,_key;
  long    _dittaric, _old_ditta;      
  TString _control_rec;         
  
public:        
  TString     _titolo;
  
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
  
  bool    set();
  
  bool    esegui_controlli();
  bool    leggi_trasfer();
  bool    controlli();
  void    leggi_record_controllo();
  void    setta_parametri_record(const TString& sigla,const TString& flag,bool uselab);  
  
  TDitta_ric() {};
};                                      
